package mhp.oee.po.gen;

import java.util.Date;

public class PlcAccessTypePO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_access_type.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_access_type.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_access_type.PLC_ACCESS_TYPE
     *
     * @mbggenerated
     */
    private String plcAccessType;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_access_type.DESCRIPTION
     *
     * @mbggenerated
     */
    private String description;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_access_type.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_access_type.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_access_type.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_access_type.HANDLE
     *
     * @return the value of plc_access_type.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_access_type.HANDLE
     *
     * @param handle the value for plc_access_type.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_access_type.SITE
     *
     * @return the value of plc_access_type.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_access_type.SITE
     *
     * @param site the value for plc_access_type.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_access_type.PLC_ACCESS_TYPE
     *
     * @return the value of plc_access_type.PLC_ACCESS_TYPE
     *
     * @mbggenerated
     */
    public String getPlcAccessType() {
        return plcAccessType;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_access_type.PLC_ACCESS_TYPE
     *
     * @param plcAccessType the value for plc_access_type.PLC_ACCESS_TYPE
     *
     * @mbggenerated
     */
    public void setPlcAccessType(String plcAccessType) {
        this.plcAccessType = plcAccessType == null ? null : plcAccessType.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_access_type.DESCRIPTION
     *
     * @return the value of plc_access_type.DESCRIPTION
     *
     * @mbggenerated
     */
    public String getDescription() {
        return description;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_access_type.DESCRIPTION
     *
     * @param description the value for plc_access_type.DESCRIPTION
     *
     * @mbggenerated
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_access_type.CREATED_DATE_TIME
     *
     * @return the value of plc_access_type.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_access_type.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for plc_access_type.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_access_type.MODIFIED_DATE_TIME
     *
     * @return the value of plc_access_type.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_access_type.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for plc_access_type.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_access_type.MODIFIED_USER
     *
     * @return the value of plc_access_type.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_access_type.MODIFIED_USER
     *
     * @param modifiedUser the value for plc_access_type.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}